## txtorcon 19.0.0

=== Makefile ===
.PHONY: test html counts coverage sdist clean install doc integration diagrams
default: test
VERSION = 19.0.0

test:
	PYTHONPATH=. trial --reporter=text test

tox:
	tox -i http://localhost:3141/root/pypi

diagrams:
	automat-visualize --image-directory ./diagrams --image-type png txtorcon

diagrams:
	automat-visualize --image-directory ./diagrams --image-type png txtorcon

# see also http://docs.docker.io/en/latest/use/baseimages/
dockerbase-wheezy:
	@echo 'Building a minimal "wheezy" system.'
	@echo "This may take a while...and will consume about 240MB when done."
	debootstrap wheezy dockerbase-wheezy

dockerbase-wheezy-image: dockerbase-wheezy
	@echo 'Importing dockerbase-wheezy into docker'
	tar -C dockerbase-wheezy -c . | docker import - dockerbase-wheezy
	docker run dockerbase-wheezy cat /etc/issue

# see also http://docs.docker.io/en/latest/use/baseimages/
dockerbase-jessie:
	@echo 'Building a minimal "jessie" system.'
	@echo "This may take a while...and will consume about 240MB when done."
	debootstrap jessie dockerbase-jessie

dockerbase-jessie-image: dockerbase-jessie
	@echo 'Importing dockerbase-jessie into docker'
	tar -C dockerbase-jessie -c . | docker import - dockerbase-jessie
	docker run dockerbase-jessie cat /etc/issue

txtorcon-tester: Dockerfile dockerbase-jessie-image
	@echo "Creating a Docker.io container"
	docker build --rm -q -t txtorcon-tester ./

integration: ## txtorcon-tester
	python integration/run.py

install:
	sudo apt-get install python-setuptools python-twisted python-ipaddress graphviz
	python setup.py install

doc: docs/*.rst
	cd docs && make html
	-cp dist/txtorcon-${VERSION}.tar.gz docs/_build/html

coverage:
	PYTHONPATH=. coverage run --source=txtorcon `which trial` test
	cuv graph

htmlcoverage:
	coverage run --source=txtorcon `which trial` test
	coverage report --show-missing
	coverage html  # creates htmlcov/
	sensible-browser htmlcov/index.html

# dang, this is a little annoying. maybe add a shell-script which
# looks for "coverage" or "python-coverage"??
coverage-debian:
	python-coverage run --source=txtorcon `which trial` test
	python-coverage -a -d annotated_coverage
	python-coverage report

pep8: txtorcon/*.py test/*.py examples/*.py
	pycodestyle --ignore=E501 $^

pep8count:
	pycodestyle --ignore=E501,E265 $^ | wc -l

pyflakes:
	pyflakes txtorcon/ examples/ test/

pyflakescount:
	pyflakes txtorcon/ examples/ | wc -l

clean:
	-rm twisted/plugins/dropin.cache
	-rm -rf _trial_temp
	-rm -rf build
	-rm -rf dist
	-rm -rf html
	-rm MANIFEST
	-rm `find . -name \*.py[co]`
	-cd docs && make clean
	-rm -rf dockerbase-jessie
	-docker rmi txtorcon-tester
	-docker rmi dockerbase-jessie

counts:
	ohcount -s txtorcon/*.py

test-release: dist
	./scripts/test-release.sh $(shell pwd) ${VERSION}

dist: dist/txtorcon-${VERSION}-py2.py3-none-any.whl dist/txtorcon-${VERSION}.tar.gz

dist-sigs: dist/txtorcon-${VERSION}-py2.py3-none-any.whl.asc dist/txtorcon-${VERSION}.tar.gz.asc

sdist: setup.py
	python setup.py check
	python setup.py sdist

dist/txtorcon-${VERSION}-py2.py3-none-any.whl:
	python setup.py check
	python setup.py bdist_wheel --universal

dist/txtorcon-${VERSION}-py2.py3-none-any.whl.asc: dist/txtorcon-${VERSION}-py2.py3-none-any.whl
	gpg --verify dist/txtorcon-${VERSION}-py2.py3-none-any.whl.asc || gpg --pinentry loopback --no-version --detach-sign --armor --local-user meejah@meejah.ca dist/txtorcon-${VERSION}-py2.py3-none-any.whl

dist/txtorcon-${VERSION}.tar.gz: sdist
dist/txtorcon-${VERSION}.tar.gz.asc: dist/txtorcon-${VERSION}.tar.gz
	gpg --verify dist/txtorcon-${VERSION}.tar.gz.asc || gpg --pinentry loopback --no-version --detach-sign --armor --local-user meejah@meejah.ca dist/txtorcon-${VERSION}.tar.gz

release:
	twine upload -r pypi -c "txtorcon v${VERSION} tarball" dist/txtorcon-${VERSION}.tar.gz dist/txtorcon-${VERSION}.tar.gz.asc
	twine upload -r pypi -c "txtorcon v${VERSION} wheel" dist/txtorcon-${VERSION}-py2.py3-none-any.whl dist/txtorcon-${VERSION}-py2.py3-none-any.whl.asc


venv:
	virtualenv --never-download --extra-search-dir=/usr/lib/python2.7/dist-packages/ venv
	@echo "created venv"
	@echo "see INSTALL for more information; to use:"
	@echo ". ./venv/bin/activate"
	@echo "pip install -r requirements.txt"
	@echo "pip install -r dev-requirements.txt"
	@echo "python examples/monitor.py"

html: docs/*.rst
	cd docs && make html

html-server: html
	twistd -n web --path docs/_build/html --port tcp:9999:interface=localhost

=== requirements.txt ===
## see also dev-requirements.txt to build
## hmm, travis-ci doesn't like this since we need a GeoIP-dev package
##GeoIP>=1.2.9
Twisted[tls]>=15.5.0
ipaddress>=1.0.16 ; python_version<'3'
zope.interface>=3.6.1
incremental
automat

=== debian/changelog ===
txtorcon (19.0.0-2) unstable; urgency=medium

  * Upload to unstable

 -- Iain R. Learmonth <irl@debian.org>  Tue, 16 Jul 2019 17:49:24 +0100

txtorcon (19.0.0-1) experimental; urgency=medium

  * New upstream version 19.0.0
  * d/patches:
    - Refreshed remove-privacy-infringing-buttons.patch

 -- Iain R. Learmonth <irl@debian.org>  Thu, 13 Jun 2019 22:23:49 +0100

=== debian/control ===
Source: txtorcon
Maintainer: Debian Privacy Tools Maintainers <pkg-privacy-maintainers@lists.alioth.debian.org>
Uploaders: Iain R. Learmonth <irl@debian.org>,
           Jérémy Bobbio <lunar@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-python,
               graphviz,
               lsof,
               python3-all,
               python3-geoip,
               python3-mock,
               python3-repoze.sphinx.autointerface,
               python3-setuptools,
               python3-sphinx,
               python3-twisted,
               tor
Standards-Version: 4.1.5
Vcs-Browser: https://salsa.debian.org/pkg-privacy-team/txtorcon
Vcs-Git: https://salsa.debian.org/pkg-privacy-team/txtorcon.git
Homepage: https://github.com/meejah/txtorcon

Package: python3-txtorcon
Architecture: all
Depends: python3-geoip,
         python3-twisted,
         python3-zope.interface,
         ${misc:Depends},
         ${python3:Depends}
Suggests: tor
Description: Twisted-based asynchronous Tor control protocol implementation (Python 3)
 txtorcon main feature is to present an asynchronous API to speak the Tor
 client protocol in Python. It also provides abstractions to track and get
 updates about Tor's state and current configuration (including writing it to
 Tor or disk), along with helpers to asynchronously launch slave instances of
 Tor including Twisted endpoint support.
 .
 Twisted is an event-driven networking engine written in Python and Tor is an
 onion-routing network designed to improve people's privacy and anonymity on the
 Internet.
 .
 This package contains the Python 3 module.

Package: python-txtorcon-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Description: Twisted-based asynchronous Tor control protocol implementation (Documentation)
 txtorcon main feature is to present an asynchronous API to speak the Tor
 client protocol in Python. It also provides abstractions to track and get
 updates about Tor's state and current configuration (including writing it to
 Tor or disk), along with helpers to asynchronously launch slave instances of
 Tor including Twisted endpoint support.
 .
 Twisted is an event-driven networking engine written in Python and Tor is an
 onion-routing network designed to improve people's privacy and anonymity on the
 Internet.
 .
 This package contains the common documentation.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=txtorcon

%:
	dh $@ --with=python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bhtml docs/ docs/_build/html # HTML generator
	dh_auto_build -O--buildsystem=pybuild

override_dh_auto_install:
	dh_auto_install -O--buildsystem=pybuild
	mkdir -p debian/python3-txtorcon/usr/share/doc/python3-txtorcon
	set -e && \
	for data_src in README.rst TODO examples; do \
		mv debian/python3-txtorcon/usr/share/txtorcon/$$data_src \
			debian/python3-txtorcon/usr/share/doc/python3-txtorcon; \
	done
	chmod 644 debian/python3-txtorcon/usr/share/doc/python3-txtorcon/examples/*.py
	rm -r debian/python3-txtorcon/usr/share/txtorcon

override_dh_compress:
	dh_compress -Xlaunch_tor_with_simplehttpd.py -O--buildsystem=pybuild

override_dh_auto_test:
	PYTHONPATH=. trial3 --reporter=text test

## txtorcon 20.0.0

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 .PHONY: test html counts coverage sdist clean install doc integration diagrams
 default: test
-VERSION = 19.0.0
+VERSION = 20.0.0
 
 test:
 	PYTHONPATH=. trial --reporter=text test

=== requirements.txt ===
--- 
+++ 
@@ -6,3 +6,4 @@
 zope.interface>=3.6.1
 incremental
 automat
+cryptography

=== debian/changelog ===
txtorcon (20.0.0-1) unstable; urgency=medium

  * New upstream release.
    - Update disable_test_for_invalid_geoip patch.
  * Move to debhelper-compat virtual package, level 12.
  * Specify Rules-Requires-Root: no.
  * Drop unused entry in debian/source/include-binaries.
  * Check "nocheck" in DEB_BUILD_OPTIONS.
  * Add myself to uploaders.
  * Bump Standards-Version to 4.5.0.

 -- Chris Lamb <lamby@debian.org>  Wed, 08 Apr 2020 11:39:18 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: txtorcon
 Maintainer: Debian Privacy Tools Maintainers <pkg-privacy-maintainers@lists.alioth.debian.org>
 Uploaders: Iain R. Learmonth <irl@debian.org>,
-           Jérémy Bobbio <lunar@debian.org>
+           Jérémy Bobbio <lunar@debian.org>,
+	   Chris Lamb <lamby@debian.org>,
 Section: python
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper-compat (= 12),
                dh-python,
                graphviz,
                lsof,
@@ -16,10 +17,11 @@
                python3-sphinx,
                python3-twisted,
                tor
-Standards-Version: 4.1.5
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/pkg-privacy-team/txtorcon
 Vcs-Git: https://salsa.debian.org/pkg-privacy-team/txtorcon.git
 Homepage: https://github.com/meejah/txtorcon
+Rules-Requires-Root: no
 
 Package: python3-txtorcon
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -24,4 +24,6 @@
 	dh_compress -Xlaunch_tor_with_simplehttpd.py -O--buildsystem=pybuild
 
 override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	PYTHONPATH=. trial3 --reporter=text test
+endif

=== debian/watch ===
version=4
https://github.com/meejah/txtorcon/releases /meejah/txtorcon/.*/txtorcon-(\d\S+)\.tar\.gz

## txtorcon 22.0.0

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 .PHONY: test html counts coverage sdist clean install doc integration diagrams
 default: test
-VERSION = 20.0.0
+VERSION = 22.0.0
 
 test:
 	PYTHONPATH=. trial --reporter=text test

=== debian/changelog ===
txtorcon (22.0.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release (Closes: #1007165, #1006102)
    - remove disable_test_for_invalid_geoip.patch, fixed upstream
    - refresh remove-privacy-infringing-buttons.patch
  * Remove irl from uploaders (Closes: #970315)
  * Chris Lamb removed himself from uploaders (thanks for your contribution!)
  * Check upstream signatures in uscan

 -- Antoine Beaupré <anarcat@debian.org>  Mon, 21 Mar 2022 11:46:15 -0400

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,6 @@
 Source: txtorcon
 Maintainer: Debian Privacy Tools Maintainers <pkg-privacy-maintainers@lists.alioth.debian.org>
-Uploaders: Iain R. Learmonth <irl@debian.org>,
-           Jérémy Bobbio <lunar@debian.org>,
-	   Chris Lamb <lamby@debian.org>,
+Uploaders: Jérémy Bobbio <lunar@debian.org>
 Section: python
 Priority: optional
 Build-Depends: debhelper-compat (= 12),

=== debian/watch ===
version=4
opts=pgpmode=auto \
 https://github.com/meejah/txtorcon/releases /meejah/txtorcon/.*/txtorcon-(\d\S+)\.tar\.gz

## txtorcon 23.11.0

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 .PHONY: test html counts coverage sdist clean install doc integration diagrams
 default: test
-VERSION = 22.0.0
+VERSION = 23.11.0
 
 test:
 	PYTHONPATH=. trial --reporter=text test
@@ -99,20 +99,20 @@
 test-release: dist
 	./scripts/test-release.sh $(shell pwd) ${VERSION}
 
-dist: dist/txtorcon-${VERSION}-py2.py3-none-any.whl dist/txtorcon-${VERSION}.tar.gz
+dist: dist/txtorcon-${VERSION}-py3-none-any.whl dist/txtorcon-${VERSION}.tar.gz
 
-dist-sigs: dist/txtorcon-${VERSION}-py2.py3-none-any.whl.asc dist/txtorcon-${VERSION}.tar.gz.asc
+dist-sigs: dist/txtorcon-${VERSION}-py3-none-any.whl.asc dist/txtorcon-${VERSION}.tar.gz.asc
 
 sdist: setup.py
 	python setup.py check
 	python setup.py sdist
 
-dist/txtorcon-${VERSION}-py2.py3-none-any.whl:
+dist/txtorcon-${VERSION}-py3-none-any.whl:
 	python setup.py check
-	python setup.py bdist_wheel --universal
+	python setup.py bdist_wheel
 
-dist/txtorcon-${VERSION}-py2.py3-none-any.whl.asc: dist/txtorcon-${VERSION}-py2.py3-none-any.whl
-	gpg --verify dist/txtorcon-${VERSION}-py2.py3-none-any.whl.asc || gpg --pinentry loopback --no-version --detach-sign --armor --local-user meejah@meejah.ca dist/txtorcon-${VERSION}-py2.py3-none-any.whl
+dist/txtorcon-${VERSION}-py3-none-any.whl.asc: dist/txtorcon-${VERSION}-py3-none-any.whl
+	gpg --verify dist/txtorcon-${VERSION}-py3-none-any.whl.asc || gpg --pinentry loopback --no-version --detach-sign --armor --local-user meejah@meejah.ca dist/txtorcon-${VERSION}-py3-none-any.whl
 
 dist/txtorcon-${VERSION}.tar.gz: sdist
 dist/txtorcon-${VERSION}.tar.gz.asc: dist/txtorcon-${VERSION}.tar.gz
@@ -120,16 +120,14 @@
 
 release:
 	twine upload -r pypi -c "txtorcon v${VERSION} tarball" dist/txtorcon-${VERSION}.tar.gz dist/txtorcon-${VERSION}.tar.gz.asc
-	twine upload -r pypi -c "txtorcon v${VERSION} wheel" dist/txtorcon-${VERSION}-py2.py3-none-any.whl dist/txtorcon-${VERSION}-py2.py3-none-any.whl.asc
+	twine upload -r pypi -c "txtorcon v${VERSION} wheel" dist/txtorcon-${VERSION}-py3-none-any.whl dist/txtorcon-${VERSION}-py3-none-any.whl.asc
 
 
 venv:
-	virtualenv --never-download --extra-search-dir=/usr/lib/python2.7/dist-packages/ venv
+	virtualenv venv
+	./venv/bin/pip install -r requirements.txt
+	./venv/bin/pip install -r dev-requirements.txt
 	@echo "created venv"
-	@echo "see INSTALL for more information; to use:"
-	@echo ". ./venv/bin/activate"
-	@echo "pip install -r requirements.txt"
-	@echo "pip install -r dev-requirements.txt"
 	@echo "python examples/monitor.py"
 
 html: docs/*.rst

=== requirements.txt ===
## see also dev-requirements.txt to build
## hmm, travis-ci doesn't like this since we need a GeoIP-dev package
##GeoIP>=1.2.9
Twisted[tls]>=15.5.0
zope.interface>=3.6.1
automat
cryptography

=== debian/changelog ===
txtorcon (23.11.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    - refresh remove-privacy-infringing-buttons.patch
    - Closes: #1060955
  * Update watchfile to adapt to new GitHub situation.
  * Add new dependency on python3-six.

 -- Sascha Steinbiss <satta@debian.org>  Tue, 27 Feb 2024 10:10:55 +0100

=== debian/control ===
--- 
+++ 
@@ -12,6 +12,7 @@
                python3-mock,
                python3-repoze.sphinx.autointerface,
                python3-setuptools,
+               python3-six,
                python3-sphinx,
                python3-twisted,
                tor
@@ -24,6 +25,7 @@
 Package: python3-txtorcon
 Architecture: all
 Depends: python3-geoip,
+         python3-six,
          python3-twisted,
          python3-zope.interface,
          ${misc:Depends},

## txtorcon 24.8.0

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 .PHONY: test html counts coverage sdist clean install doc integration diagrams
 default: test
-VERSION = 23.11.0
+VERSION = 24.8.0
 
 test:
 	PYTHONPATH=. trial --reporter=text test
@@ -119,12 +119,12 @@
 	gpg --verify dist/txtorcon-${VERSION}.tar.gz.asc || gpg --pinentry loopback --no-version --detach-sign --armor --local-user meejah@meejah.ca dist/txtorcon-${VERSION}.tar.gz
 
 release:
-	twine upload -r pypi -c "txtorcon v${VERSION} tarball" dist/txtorcon-${VERSION}.tar.gz dist/txtorcon-${VERSION}.tar.gz.asc
-	twine upload -r pypi -c "txtorcon v${VERSION} wheel" dist/txtorcon-${VERSION}-py3-none-any.whl dist/txtorcon-${VERSION}-py3-none-any.whl.asc
+	twine upload --username __token__ --password `cat PRIVATE-release-token` -r pypi -c "txtorcon v${VERSION} tarball" dist/txtorcon-${VERSION}.tar.gz dist/txtorcon-${VERSION}.tar.gz.asc
+	twine upload --username __token__ --password `cat PRIVATE-release-token` -r pypi -c "txtorcon v${VERSION} wheel" dist/txtorcon-${VERSION}-py3-none-any.whl dist/txtorcon-${VERSION}-py3-none-any.whl.asc
 
 
 venv:
-	virtualenv venv
+	python -m venv venv
 	./venv/bin/pip install -r requirements.txt
 	./venv/bin/pip install -r dev-requirements.txt
 	@echo "created venv"

=== debian/changelog ===
txtorcon (24.8.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove Jérémy Bobbio from Uploaders, RIP. (Closes: #1087245)
  * Remove python3-six dependency (Closes: #1087335)
  * Remove python3-mock build-dependency (Closes: #1090028)
  * Apply "Multi-Arch:" hint

 -- Alexandre Detiste <tchet@debian.org>  Sat, 15 Feb 2025 16:43:32 +0100

txtorcon (24.8.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version.
    - Closes: #1082700

 -- Sascha Steinbiss <satta@debian.org>  Sun, 10 Nov 2024 10:02:29 +0100

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,15 @@
 Source: txtorcon
 Maintainer: Debian Privacy Tools Maintainers <pkg-privacy-maintainers@lists.alioth.debian.org>
-Uploaders: Jérémy Bobbio <lunar@debian.org>
 Section: python
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
-               dh-python,
+Build-Depends: debhelper-compat (= 13),
+               dh-sequence-python3,
                graphviz,
                lsof,
                python3-all,
                python3-geoip,
-               python3-mock,
                python3-repoze.sphinx.autointerface,
                python3-setuptools,
-               python3-six,
                python3-sphinx,
                python3-twisted,
                tor
@@ -25,7 +22,6 @@
 Package: python3-txtorcon
 Architecture: all
 Depends: python3-geoip,
-         python3-six,
          python3-twisted,
          python3-zope.interface,
          ${misc:Depends},
@@ -47,6 +43,7 @@
 Package: python-txtorcon-doc
 Section: doc
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends},
          ${sphinxdoc:Depends}
 Description: Twisted-based asynchronous Tor control protocol implementation (Documentation)

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 export PYBUILD_NAME=txtorcon
 
 %:
-	dh $@ --with=python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --with=sphinxdoc --buildsystem=pybuild
 
 override_dh_auto_build:
 	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bhtml docs/ docs/_build/html # HTML generator

=== debian/watch ===
version=4
opts="pgpmode=auto,searchmode=plain,\
filenamemangle=s%.*/v?@ANY_VERSION@%@PACKAGE@-$1.tar.xz%" \
https://api.github.com/repos/meejah/txtorcon/releases?per_page=50 \
https://api.github.com/repos/[^/]+/[^/]+/tarball/v?@ANY_VERSION@
